# 3.5.16. patch

resource type: patch
  Attributes:

    - patchid (integer) – the unique ID of this patch

    - body (string) – patch body as a binary string

    - level (integer) – patch level - the number of directory names to strip from filenames in the patch

    - subdir (string) – subdirectory in which patch should be applied

    - author? (string) – patch author, or None

    - comment? (string) – patch comment, or None

This resource type describes a patch. Patches have unique IDs, but only appear embedded in sourcestamps, so those IDs are not especially useful.

## 3.5.16.1. Update Methods

All update methods are available as attributes of `master.data.updates`.

class buildbot.data.patches.Patch

  (no update methods)